com.virtual.tour.road.com.virtual.tour.road.vista

## Class VisualizarRuta.DownloadImageTask

- java.lang.Object
- - android.os.AsyncTask<java.lang.String,java.lang.Void,android.graphics.Bitmap>
  - - com.virtual.tour.road.com.virtual.tour.road.vista.VisualizarRuta.DownloadImageTask

- Enclosing class:
    VisualizarRuta

      class VisualizarRuta.DownloadImageTask
      extends android.os.AsyncTask<java.lang.String,java.lang.Void,android.graphics.Bitmap>

  Clase para descargar asincronamente las imagenes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `android.os.AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) android.widget.ImageView` | `bmImage`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadImageTask(android.widget.ImageView bmImage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected android.graphics.Bitmap` | `doInBackground(java.lang.String... urls)` Override this method to perform a computation on a background thread.
    `protected void` | `onPostExecute(android.graphics.Bitmap result)` Runs on the UI thread after `AsyncTask.doInBackground(Params...)`.
    `protected void` | `onPreExecute()` Runs on the UI thread before `AsyncTask.doInBackground(Params...)`.

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, init, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress, setDefaultExecutor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bmImage

          android.widget.ImageView bmImage

  - ### Constructor Detail

    - #### DownloadImageTask

          public DownloadImageTask(android.widget.ImageView bmImage)

  - ### Method Detail

    - #### doInBackground

          protected android.graphics.Bitmap doInBackground(java.lang.String... urls)

      Description copied from class: `android.os.AsyncTask`
      Override this method to perform a computation on a background thread. The specified parameters are the parameters passed to `AsyncTask.execute(Params...)` by the caller of this task. This method can call `AsyncTask.publishProgress(Progress...)` to publish updates on the UI thread.
      Specified by:
        `doInBackground` in class `android.os.AsyncTask<java.lang.String,java.lang.Void,android.graphics.Bitmap>`
      Parameters:
        `urls` - The parameters of the task.
      Returns:
        A result, defined by the subclass of this task.
      See Also:
        `AsyncTask.onPreExecute()`, `AsyncTask.onPostExecute(Result)`, `AsyncTask.publishProgress(Progress...)`

    - #### onPostExecute

          protected void onPostExecute(android.graphics.Bitmap result)

      Description copied from class: `android.os.AsyncTask`

      Runs on the UI thread after `AsyncTask.doInBackground(Params...)`. The specified result is the value returned by `AsyncTask.doInBackground(Params...)`.

      This method won't be invoked if the task was cancelled.

      Overrides:
        `onPostExecute` in class `android.os.AsyncTask<java.lang.String,java.lang.Void,android.graphics.Bitmap>`
      Parameters:
        `result` - The result of the operation computed by `AsyncTask.doInBackground(Params...)`.
      See Also:
        `AsyncTask.onPreExecute()`, `AsyncTask.doInBackground(Params...)`, `AsyncTask.onCancelled(Object)`

    - #### onPreExecute

          protected void onPreExecute()

      Description copied from class: `android.os.AsyncTask`
      Runs on the UI thread before `AsyncTask.doInBackground(Params...)`.
      Overrides:
        `onPreExecute` in class `android.os.AsyncTask<java.lang.String,java.lang.Void,android.graphics.Bitmap>`
      See Also:
        `AsyncTask.onPostExecute(Result)`, `AsyncTask.doInBackground(Params...)`